> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search threads

> Searches for threads that match the input filters.

## Body parameters

<ParamField body="filters" type="SearchThreadsFiltersInput">
  <Expandable title="properties">
    <ParamField body="assigned_to_member_id" type="integer" />

    <ParamField body="contact" type="string" />

    <ParamField body="content" type="string" />

    <ParamField body="customer_id" type="string" />

    <ParamField body="id" type="string" />

    <ParamField body="max_created_at" type="string" />

    <ParamField body="max_updated_at" type="string" />

    <ParamField body="min_created_at" type="string" />

    <ParamField body="min_updated_at" type="string" />

    <ParamField body="only_without_assignment" type="boolean" />

    <ParamField body="only_without_review_groups" type="boolean" />

    <ParamField body="review_groups" type="string[]" />

    <ParamField body="status" type="integer" />

    <ParamField body="tag_codes" type="string[]" />
  </Expandable>
</ParamField>

<ParamField body="on_page" type="integer" />

<ParamField body="per_page" type="integer" />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="properties" type="any" />

    <ResponseField name="type" type="any" />
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="message" type="string" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<RequestExample>
  ```json JSON
  {
    "filters": {
      "assigned_to_member_id": "integer",
      "contact": "string",
      "content": "string",
      "customer_id": "string",
      "id": "string",
      "max_created_at": "string",
      "max_updated_at": "string",
      "min_created_at": "string",
      "min_updated_at": "string",
      "only_without_assignment": "boolean",
      "only_without_review_groups": "boolean",
      "review_groups": [
        "string"
      ],
      "status": "integer",
      "tag_codes": [
        "string"
      ]
    },
    "on_page": "integer",
    "per_page": "integer"
  }
  ```

  ```javascript JavaScript

    const response = await fetch(
      "POST /api/v1/thread/search",
      {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer {token}`
        },
        body: JSON.stringify({
    "filters": {
      "assigned_to_member_id": "integer",
      "contact": "string",
      "content": "string",
      "customer_id": "string",
      "id": "string",
      "max_created_at": "string",
      "max_updated_at": "string",
      "min_created_at": "string",
      "min_updated_at": "string",
      "only_without_assignment": "boolean",
      "only_without_review_groups": "boolean",
      "review_groups": [
        "string"
      ],
      "status": "integer",
      "tag_codes": [
        "string"
      ]
    },
    "on_page": "integer",
    "per_page": "integer"
  })
      }
    );
              
            
  ```
</RequestExample>

<ResponseExample>
  ```json 200
  {
    "properties": "any",
    "type": "any"
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "message": "string"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
